### Enumeration

# Gtk ReducedMotion

since: 4.22

#### Declaration

    enum Gtk.ReducedMotion

#### Description [src]

Values for the `GtkSettings:gtk-interface-reduced-motion` and `GtkCssProvider:prefers-reduced-motion` properties that indicates the preferred level of motion animations.

This information can be used inside CSS via media queries.

Available since: 4.22

#### Members

`GTK_REDUCED_MOTION_NO_PREFERENCE`

  The user has made no preference known to the system.

  - Value: `0`
  - Available since: 4.22
`GTK_REDUCED_MOTION_REDUCE`

  The user has notified the system that they prefer an interface that removes or replaces the types of motion-based animation that either trigger discomfort for those with vestibular motion sensitivity, or distraction for those with attention deficits.

  - Value: `1`
  - Available since: 4.22